libgdchart-gd2-xpm-dev_0.11.5-7.1+b2_amd64.deb


Advertisement

Description

libgdchart-gd2-xpm-dev - Generate graphs using the GD library (development version)

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libgdchart-gd2-xpm-dev
Package version 0.11.5
Package release 7.1+b2
Package architecture amd64
Package type deb
Installed size 147 B
Download size 49.50 KB
Official Mirror ftp.br.debian.org
A library for generating nice 2d and 3d graphs with the use of GD.
This is the full development version of the library, built against GD 2.x
library and with XPM (X pixmap) support.

Alternatives

Package Version Architecture Repository
libgdchart-gd2-xpm-dev_0.11.5-7.1+b2_i386.deb 0.11.5 i386 Debian Main
libgdchart-gd2-xpm-dev - - -

Requires

Name Value
libfreetype6-dev -
libgd-dev -
libgd2-noxpm-dev -
libgdchart-gd2-xpm = 0.11.5-7.1+b2
libjpeg-dev -
libpng12-0-dev -
libx11-dev -
libxpm-dev -
zlib1g-dev -

Provides

Name Value
libgdchart-gd2-dev -

Conflicts

Name Value
libgdchart-gd2-dev -

Download

Type URL
Binary Package libgdchart-gd2-xpm-dev_0.11.5-7.1+b2_amd64.deb
Source Package libgdchart-gd2

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgdchart-gd2-xpm-dev deb package:
    # sudo apt-get install libgdchart-gd2-xpm-dev

Files

Path
/usr/include/array_alloc.h
/usr/include/gdc.h
/usr/include/gdchart.h
/usr/include/gdcpie.h
/usr/lib/libgdc.a
/usr/lib/libgdc.so
/usr/share/doc/libgdchart-gd2-xpm-dev/README
/usr/share/doc/libgdchart-gd2-xpm-dev/buildinfo_amd64.gz
/usr/share/doc/libgdchart-gd2-xpm-dev/changelog.Debian.amd64.gz
/usr/share/doc/libgdchart-gd2-xpm-dev/changelog.Debian.gz
/usr/share/doc/libgdchart-gd2-xpm-dev/copyright
/usr/share/doc/libgdchart-gd2-xpm-dev/examples/ft_samp.c
/usr/share/doc/libgdchart-gd2-xpm-dev/examples/gdc_pie_samp.c
/usr/share/doc/libgdchart-gd2-xpm-dev/examples/gdc_samp1.c
/usr/share/doc/libgdchart-gd2-xpm-dev/examples/gdc_samp2.c

Changelog

2013-06-22 - Colin Watson <cjwatson@debian.org>
libgdchart-gd2 (0.11.5-7.1) unstable; urgency=low
* Non-maintainer upload.
* Tell d-devlibdeps that "libgd3-dev" is really called libgd-dev (closes:
#709040).
2010-09-17 - Jonas Smedegaard <dr@jones.dk>
libgdchart-gd2 (0.11.5-7) unstable; urgency=low
* Drop local CDBS snippets: All included in main cdbs package now.
Local snippets might have been incompatible with recent releases of
cdbs and contribute to a FTBFS.
Closes: bug#564374. Thanks to Lucas Nussbaum and Philipp Kern.
* Tighten build-dependency on cdbs and debhelper.
* Switch to source format 3.0 (quilt).
* Bump standards-version to 3.9.1.
* Build-depend on dh-buildinfo.
* Fix depend on ${misc:Depends}, thanks to lintian.
* Development moved to Git:
+ Update Vcs-* stanzas.
+ Add git-buildpackage config, enabling sign-tags and pristine-tar.
2008-06-28 - Jonas Smedegaard <dr@jones.dk>
libgdchart-gd2 (0.11.5-6) unstable; urgency=medium
* Set urgency=medium as last packaging included a FTBFS bugfix
(similar to bug#487066).
2008-06-28 - Jonas Smedegaard <dr@jones.dk>
libgdchart-gd2 (0.11.5-5) unstable; urgency=low
* Invoke svn-upgrade (not uupdate) in debian/watch.
* Move Vcs-* and Homepage to own fields in debian/control.
* Update local cdbs tweaks:
+ Major updates to copyright-check.mk, most importantly relax to
only warn by default.
+ Drop buildcore.mk (set hints manually instead as needed).
+ Various updates to update-tarball.mk, including changed wget
options to work with recent versions of wget.
+ Cosmetic updates to README.cdbs-tweaks.
+ Update dependency cleanup to strip cdbs 0.4.27 (not 0.4.27-1).
* Update debian/copyright-hints.
* Bump debhelper compatibility level to 6.
* Semi-auto-update debian/control to update build-dependencies:
DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
2007-09-05 - Jonas Smedegaard <dr@jones.dk>
libgdchart-gd2 (0.11.5-4) unstable; urgency=low
* Add XS-Vcs-Svn and XS-Vcs-Browser fields to debian/control.
* Bump standards-version to 3.7.2 (no changes needed).
* Tighten d-shlibs build-dependency and adjust -noxpm override, to fix
resolving -dev dependencies with recent libgd2 releases. Closes:
bug#427326, thanks to Lucas Nussbaum and Luis Rodrigo Gallardo Cruz.
* Drop deprecated fallback build-dependencies on xfree86 packages, and
override similar dependencies resolved by d-shlibs.
* Update CDBS tweaks:
+ Add new upstream-tarball.mk: Add get-orig-source target and more.
+ Add new copyright-check.mk: Fail building if source contains new
or changed copyrights.
+ Update buildinfo.mk: Fix touchfile to run only once.
+ Add new buildcore.mk: Enable auto-updating build-dependencies in
debian/control when DEB_BUILD_OPTIONS contains cdbs-autoupdate
(replacing similar custom tweak in debian/rules).
+ Add README.cdbs-tweaks documenting the added tweaks.
+ Advertise README.cdbs-tweaks in debian/rules.
+ Use patchsys-quilt (instead of simple-patchsys).
+ Declare (and strip duplicate) build-dependencies in debian/rules.
* Use binNMU-safe ${binary:Version} (not ${Source-Version}) in
debian/control.
* Semi-auto-update debian/control:
DEB_BUILD_OPTIONS=cdbs-autoupdate fakeroot debian/rules pre-build
2005-07-16 - Jonas Smedegaard <dr@jones.dk>
libgdchart-gd2 (0.11.5-3) unstable; urgency=low
* Raise to standards version 3.6.2 (no changes needed).
* Only use cdbs debian/control auto-build when environment includes
DEB_BUILD_OPTIONS=update.
* Auto-update build-dependencies (and manually strip build-essential).
2005-03-27 - Jonas Smedegaard <dr@jones.dk>
libgdchart-gd2 (0.11.5-2) unstable; urgency=low
* Add build-dependency on cdbs (how embarrassing!). Closes: bug#301334
(thanks to Kurt Roeckx <kurt@roeckx.be>).
* Use cdbs auto-update feature.

See Also

Package Description
libgdchart-gd2-xpm_0.11.5-7.1+b2_amd64.deb Generate graphs using the GD library
libgdcm-cil_2.4.4-3+deb8u1_amd64.deb Grassroots DICOM CLI bindings
libgdcm-java_2.4.4-3+deb8u1_amd64.deb Grassroots DICOM Java bindings
libgdcm-tools_2.4.4-3+deb8u1_amd64.deb Grassroots DICOM tools and utilities
libgdcm2-dev_2.4.4-3+deb8u1_amd64.deb Grassroots DICOM development libraries and headers
libgdcm2.4_2.4.4-3+deb8u1_amd64.deb Grassroots DICOM runtime libraries
libgdf-dev_0.1.2-2+b3_amd64.deb IO library for the GDF -- development library
libgdf0_0.1.2-2+b3_amd64.deb IO library for the GDF (general dataformat for biosignals)
libgdict-1.0-6_3.14.1-1_amd64.deb GNOME Dictionary base library - runtime
libgdict-1.0-dev_3.14.1-1_amd64.deb GNOME Dictionary base library - development files
libgdict-common_3.14.1-1_all.deb GNOME Dictionary base library - common files
libgdiplus_3.6-1+b2_amd64.deb interface library for System.Drawing of Mono
libgdk-pixbuf2.0-0_2.31.1-2+deb8u6_amd64.deb GDK Pixbuf library
libgdk-pixbuf2.0-common_2.31.1-2+deb8u6_all.deb GDK Pixbuf library - data files
libgdk-pixbuf2.0-dev_2.31.1-2+deb8u6_amd64.deb GDK Pixbuf library (development files)
Advertisement
Advertisement